Bug 15200 - multi-channel socket passing may hit a race if one of the involved processes already existed.
Summary: multi-channel socket passing may hit a race if one of the involved processes ...
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: 4.17.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL: https://gitlab.com/samba-team/samba/-...
Keywords:
Depends on: 15159
Blocks:
  Show dependency treegraph
 
Reported: 2022-10-12 11:30 UTC by Stefan Metzmacher
Modified: 2022-10-19 12:26 UTC (History)
4 users (show)

See Also:


Attachments
fix for 4.16 (requires the patches from bug #15159) (11.96 KB, patch)
2022-10-14 15:50 UTC, Björn Baumbach
metze: review+
bbaumbach: review? (slow)
Details
fix for 4.17 (12.09 KB, patch)
2022-10-14 15:51 UTC, Björn Baumbach
metze: review+
bbaumbach: review? (slow)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2022-10-12 11:30:20 UTC
You may see this in the logs:

smbXsrv_client_connection_pass_loop: smb2srv_client_connection_passed() failed => NT_STATUS_OBJECT_NAME_NOT_FOUND

See https://lists.samba.org/archive/samba/2022-September/241887.html,
there 4.16 and for 4.15 are not triggering the problem for the reporters,
but the relevant code is not related to the patches from
https://bugzilla.samba.org/show_bug.cgi?id=15159.
And the related code is the same as in 4.16 and 4.15.
Comment 1 Samba QA Contact 2022-10-13 13:33:28 UTC
This bug was referenced in samba master:

636ec45c93ad040ba70296aa543884c145b3e789
acb3d821deaf06faa16f6428682ecdb02babeb98
56c597bc2b29dc3e555f737ba189f521d0e31e8c
8c8d8cf01e01c2726d03fa1c81e0ce9992ee736c
5d66d5b84f87267243dcd5223210906ce589af91
Comment 2 Björn Baumbach 2022-10-14 15:50:50 UTC
Created attachment 17562 [details]
fix for 4.16 (requires the patches from bug #15159)
Comment 3 Björn Baumbach 2022-10-14 15:51:39 UTC
Created attachment 17563 [details]
fix for 4.17
Comment 4 Jule Anger 2022-10-18 08:30:58 UTC
Pushed to autobuild-v4-{17,16}-test.
Comment 5 Samba QA Contact 2022-10-18 09:42:19 UTC
This bug was referenced in samba v4-16-test:

f806366dd4a5a551a48526594bd25711376f5f04
68a233322bdba537546cc4c23c9e97122a67fe59
935f1ec476edd0688a5471d7a7486da5f92c8b3f
0fa03f112f75dbae7f3f63d245928668df57da45
b3e8e8185fcb740a780867e69e014d7b87e77afe
Comment 6 Samba QA Contact 2022-10-18 14:29:04 UTC
This bug was referenced in samba v4-17-test:

41e016e41c5162d736a1cf00fc873507e4b1e767
abc48aec20a40c2a3cf0be953341a3bfd0d489ac
fd4c80fcc6f591efe2ab754ae9e77fb643513d19
4a44febbc4663bfdcfe4f9a43b491484dd09808c
6d05908e3ca1be4e3eb0ed059630648c5c980033
Comment 7 Jule Anger 2022-10-18 14:31:26 UTC
Closing out bug report.

Thanks!
Comment 8 Samba QA Contact 2022-10-19 12:26:26 UTC
This bug was referenced in samba v4-17-stable (Release samba-4.17.1):

41e016e41c5162d736a1cf00fc873507e4b1e767
abc48aec20a40c2a3cf0be953341a3bfd0d489ac
fd4c80fcc6f591efe2ab754ae9e77fb643513d19
4a44febbc4663bfdcfe4f9a43b491484dd09808c
6d05908e3ca1be4e3eb0ed059630648c5c980033